## Contributing

The maintainers of `erlang_protobuffs` are engineers at Basho and welcome your contribution to the project!

## How-to contribute to `erlang_protobuffs`

**_IMPORTANT_**: This is an open source project licensed under the Apache 2.0 License. We encourage contributions to the project from the community. We ask that you keep in mind these considerations when planning your contribution.

* Whether your contribution is for a bug fix or a feature request, **create an [Issue](https://github.com/basho/erlang_protobuffs/issues)** and let us know what you are thinking.
* **For bugs**, if you have already found a fix, feel free to submit a Pull Request referencing the Issue you created.
* **For feature requests**, we want to improve upon the library incrementally which means small changes at a time. In order ensure your PR can be reviewed in a timely manner, please keep PRs small, e.g. <10 files and <500 lines changed. If you think this is unrealistic, then mention that within the Issue and we can discuss it.

### Pull Request Process

Here’s how to get started:

* Fork the appropriate sub-projects that are affected by your change. 
* Create a topic branch for your change and checkout that branch.
     `git checkout -b some-topic-branch`
     * Make your changes and run the test suite if one is provided. (see below)
     * Commit your changes and push them to your fork.
     * Open pull-requests for the appropriate projects.
     * Contributors will review your pull request, suggest changes, and merge it when it’s ready and/or offer feedback.
     * To report a bug or issue, please open a new issue against this repository.

## Thank You

You can [read the full guidelines for bug reporting and code contributions](http://docs.basho.com/riak/latest/community/bugs/) on the Riak Docs. 
